BaseAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.BaseAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action
Class BaseAction

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.action.BaseAction

Direct Known Subclasses:
  AddApplicationServiceAction, AddGroupResourcesAction, AddNotificationsAction, AddPortletAction, AddResourceGroupsAction, AddResourcesAction, AddServiceDependenciesAction, AdminHomePortalAction, AlertEnablerAction, BaseRSSAction, ChangeResourceOwnerAction, ConfigMetricsAction, CurrentMetricValuesAction, DetermineLocationAction, EditAction, EditAction, EditAction, EditApplicationPropertiesAction, EditAvailabilityAction, EditConfigAction, EditConfigPropertiesAction, EditDefinitionConditionsAction, EditDefinitionPropertiesAction, EditDefinitionSyslogActionAction, EditGeneralAction, EditGeneralAction, EditGeneralAction, EditGeneralPropertiesAction, EditPasswordAction, EditPlatformGeneralPropertiesAction, EditPlatformTypeNetworkPropertiesAction, EditTypeHostAction, EventDetailsAction, ImportAIResourcesAction, MastheadAction, MetricDisplayRangeAction, MetricsControlAction, ModifyAction, ModifyAction, ModifyAction, ModifyAction, ModifyAction, ModifyAction, ModifyAction, ModifyAction, ModifyAction, NavMapAction, NewAction, NewAction, NewAction, NewApplicationAction, NewAutoDiscoveryAction, NewDefinitionAction, NewFormPrepareAction, NewFormPrepareAction, NewGroupAction, NewPlatformAction, NewServerAction, NewServiceAction, OpenNMSFormAction, PrepareAction, PrepareAction, PrepareAction, PrepareAction, ProcessQueueAction, QuickControlAction, QuickFavoritesAction, RegisterAction, RemoveAction, RemoveAction, RemoveAction, RemoveAppAction, RemoveControlJobsAction, RemoveDefinitionAction, RemoveEscalationAction, RemoveHistoryAction, RemoveNotificationsAction, RemovePortletAction, RemoveResourceAction, RemoveResourceGroupsAction, RemoveScheduleAction, RemoveServersAction, RemoveServiceAction, RemoveServiceDependenciesAction, RemoveServicesAction, ReorderAction, ResourceHubPortalAction, SaveEscalationAction, ScanControlAction, SetDashboardAction, SetDefaultDashboardAction, TabBodyAction, UpdateStatusAction, ViewAction, ViewAction, ViewAction, ViewAction, WorkflowAction

    public class BaseAction

extends org.apache.struts.action.Action

An `Action` subclass that provides convenience methods for recognizing form submission types (cancel, reset, ok, etc) and deciding where to return after the action has completed.

Field Summary
`protected static boolean` | `NO_RETURN_PATH`
`protected static boolean` | `YES_RETURN_PATH`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`BaseAction()`

Method Summary
`protected org.apache.struts.action.ActionForward` | `checkSubmit(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form)`
`protected org.apache.struts.action.ActionForward` | `checkSubmit(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, boolean doReturnPath)`
`protected org.apache.struts.action.ActionForward` | `checkSubmit(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, java.util.Map params)`
`protected org.apache.struts.action.ActionForward` | `checkSubmit(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` if the form has been cancelled or reset; otherwise return `null` so that the subclass can continue to execute.
`protected org.apache.struts.action.ActionForward` | `checkSubmit(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, java.lang.String param, java.lang.Object value)`
`protected org.apache.struts.action.ActionForward` | `checkSubmit(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, java.lang.String param, java.lang.Object value, boolean doReturnPath)`
`protected org.apache.struts.action.ActionForward` | `constructForward(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String forwardName)`
`protected org.apache.struts.action.ActionForward` | `constructForward(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String forwardName, boolean doReturnPath)`
`protected org.apache.struts.action.ActionForward` | `constructForward(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String forwardName, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` corresponding to the given form gesture or action state.
`protected org.apache.struts.action.ActionForward` | `constructForward(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String forwardName, java.lang.String param, java.lang.Object value, boolean doReturnPath)`
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Doesn't do a thing.
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected org.apache.struts.action.ActionForward` | `returnAdd(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected org.apache.struts.action.ActionForward` | `returnAdd(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)` Return an `ActionForward` representing the add form gesture, setting the return path to the current URL.
`protected org.apache.struts.action.ActionForward` | `returnAdd(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value)`
`protected org.apache.struts.action.ActionForward` | `returnCancelled(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected org.apache.struts.action.ActionForward` | `returnCancelled(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)`
`protected org.apache.struts.action.ActionForward` | `returnCancelled(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` representing the cancel form gesture.
`protected org.apache.struts.action.ActionForward` | `returnCancelled(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value)`
`protected org.apache.struts.action.ActionForward` | `returnFailure(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected org.apache.struts.action.ActionForward` | `returnFailure(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, boolean doReturnPath)`
`protected org.apache.struts.action.ActionForward` | `returnFailure(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)`
`protected org.apache.struts.action.ActionForward` | `returnFailure(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` representing the failure action state.
`protected org.apache.struts.action.ActionForward` | `returnFailure(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value)`
`protected org.apache.struts.action.ActionForward` | `returnNew(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected org.apache.struts.action.ActionForward` | `returnNew(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)` Return an `ActionForward` representing the new form gesture, setting the return path to the current URL.
`protected org.apache.struts.action.ActionForward` | `returnNew(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` representing the success action state.
`protected org.apache.struts.action.ActionForward` | `returnNew(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value)`
`protected org.apache.struts.action.ActionForward` | `returnNew(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value, boolean doReturnPath)`
`protected org.apache.struts.action.ActionForward` | `returnOkAssign(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)` Return an `ActionForward` representing the okassign action state.
`protected org.apache.struts.action.ActionForward` | `returnOkAssign(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` representing the okassign action state.
`protected org.apache.struts.action.ActionForward` | `returnRemove(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected org.apache.struts.action.ActionForward` | `returnRemove(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)` Return an `ActionForward` representing the remove form gesture, setting the return path to the current URL.
`protected org.apache.struts.action.ActionForward` | `returnRemove(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value)`
`protected org.apache.struts.action.ActionForward` | `returnReset(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected org.apache.struts.action.ActionForward` | `returnReset(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)`
`protected org.apache.struts.action.ActionForward` | `returnReset(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` representing the reset form gesture.
`protected org.apache.struts.action.ActionForward` | `returnReset(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value)`
`protected org.apache.struts.action.ActionForward` | `returnSuccess(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected org.apache.struts.action.ActionForward` | `returnSuccess(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)`
`protected org.apache.struts.action.ActionForward` | `returnSuccess(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` representing the success action state.
`protected org.apache.struts.action.ActionForward` | `returnSuccess(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value)`
`protected org.apache.struts.action.ActionForward` | `returnSuccess(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String param, java.lang.Object value, boolean doReturnPath)`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YES_RETURN_PATH

    protected static final boolean YES_RETURN_PATH

See Also:
  Constant Field Values

### NO_RETURN_PATH

    protected static final boolean NO_RETURN_PATH

See Also:
  Constant Field Values

Constructor Detail

### BaseAction

    public BaseAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Doesn't do a thing. It's here as a dummy method used by list that don't submit a form.

  Overrides:
    `execute` in class `org.apache.struts.action.Action`
  Throws:
    `java.lang.Exception`

### execute

    public final org.apache.struts.action.ActionForward execute(org.apache.struts.tiles.ComponentContext context,
                                                                org.apache.struts.action.ActionMapping mapping,
                                                                org.apache.struts.action.ActionForm form,
                                                                javax.servlet.http.HttpServletRequest request,
                                                                javax.servlet.http.HttpServletResponse response)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkSubmit

    protected org.apache.struts.action.ActionForward checkSubmit(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 java.util.Map params,
                                                                 boolean doReturnPath)
                                                          throws java.lang.Exception

  Return an `ActionForward` if the form has been cancelled or reset; otherwise return `null` so that the subclass can continue to execute.

  Throws:
    `java.lang.Exception`

### checkSubmit

    protected org.apache.struts.action.ActionForward checkSubmit(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 java.util.Map params)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkSubmit

    protected org.apache.struts.action.ActionForward checkSubmit(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 boolean doReturnPath)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkSubmit

    protected org.apache.struts.action.ActionForward checkSubmit(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkSubmit

    protected org.apache.struts.action.ActionForward checkSubmit(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 java.lang.String param,
                                                                 java.lang.Object value,
                                                                 boolean doReturnPath)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkSubmit

    protected org.apache.struts.action.ActionForward checkSubmit(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 java.lang.String param,
                                                                 java.lang.Object value)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnAdd

    protected org.apache.struts.action.ActionForward returnAdd(javax.servlet.http.HttpServletRequest request,
                                                               org.apache.struts.action.ActionMapping mapping,
                                                               java.util.Map params)
                                                        throws java.lang.Exception

  Return an `ActionForward` representing the add form gesture, setting the return path to the current URL.

  Throws:
    `java.lang.Exception`

### returnAdd

    protected org.apache.struts.action.ActionForward returnAdd(javax.servlet.http.HttpServletRequest request,
                                                               org.apache.struts.action.ActionMapping mapping)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnAdd

    protected org.apache.struts.action.ActionForward returnAdd(javax.servlet.http.HttpServletRequest request,
                                                               org.apache.struts.action.ActionMapping mapping,
                                                               java.lang.String param,
                                                               java.lang.Object value)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnCancelled

    protected org.apache.struts.action.ActionForward returnCancelled(javax.servlet.http.HttpServletRequest request,
                                                                     org.apache.struts.action.ActionMapping mapping,
                                                                     java.util.Map params,
                                                                     boolean doReturnPath)
                                                              throws java.lang.Exception

  Return an `ActionForward` representing the cancel form gesture.

  Throws:
    `java.lang.Exception`

### returnCancelled

    protected org.apache.struts.action.ActionForward returnCancelled(javax.servlet.http.HttpServletRequest request,
                                                                     org.apache.struts.action.ActionMapping mapping,
                                                                     java.util.Map params)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnCancelled

    protected org.apache.struts.action.ActionForward returnCancelled(javax.servlet.http.HttpServletRequest request,
                                                                     org.apache.struts.action.ActionMapping mapping)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnCancelled

    protected org.apache.struts.action.ActionForward returnCancelled(javax.servlet.http.HttpServletRequest request,
                                                                     org.apache.struts.action.ActionMapping mapping,
                                                                     java.lang.String param,
                                                                     java.lang.Object value)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnFailure

    protected org.apache.struts.action.ActionForward returnFailure(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping,
                                                                   java.util.Map params,
                                                                   boolean doReturnPath)
                                                            throws java.lang.Exception

  Return an `ActionForward` representing the failure action state.

  Throws:
    `java.lang.Exception`

### returnFailure

    protected org.apache.struts.action.ActionForward returnFailure(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping,
                                                                   java.util.Map params)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnFailure

    protected org.apache.struts.action.ActionForward returnFailure(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping,
                                                                   boolean doReturnPath)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnFailure

    protected org.apache.struts.action.ActionForward returnFailure(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnFailure

    protected org.apache.struts.action.ActionForward returnFailure(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping,
                                                                   java.lang.String param,
                                                                   java.lang.Object value)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnNew

    protected org.apache.struts.action.ActionForward returnNew(javax.servlet.http.HttpServletRequest request,
                                                               org.apache.struts.action.ActionMapping mapping,
                                                               java.util.Map params)
                                                        throws java.lang.Exception

  Return an `ActionForward` representing the new form gesture, setting the return path to the current URL.

  Throws:
    `java.lang.Exception`

### returnNew

    protected org.apache.struts.action.ActionForward returnNew(javax.servlet.http.HttpServletRequest request,
                                                               org.apache.struts.action.ActionMapping mapping)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnNew

    protected org.apache.struts.action.ActionForward returnNew(javax.servlet.http.HttpServletRequest request,
                                                               org.apache.struts.action.ActionMapping mapping,
                                                               java.lang.String param,
                                                               java.lang.Object value)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnNew

    protected org.apache.struts.action.ActionForward returnNew(javax.servlet.http.HttpServletRequest request,
                                                               org.apache.struts.action.ActionMapping mapping,
                                                               java.util.Map params,
                                                               boolean doReturnPath)
                                                        throws java.lang.Exception

  Return an `ActionForward` representing the success action state.

  Throws:
    `java.lang.Exception`

### returnNew

    protected org.apache.struts.action.ActionForward returnNew(javax.servlet.http.HttpServletRequest request,
                                                               org.apache.struts.action.ActionMapping mapping,
                                                               java.lang.String param,
                                                               java.lang.Object value,
                                                               boolean doReturnPath)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnRemove

    protected org.apache.struts.action.ActionForward returnRemove(javax.servlet.http.HttpServletRequest request,
                                                                  org.apache.struts.action.ActionMapping mapping,
                                                                  java.util.Map params)
                                                           throws java.lang.Exception

  Return an `ActionForward` representing the remove form gesture, setting the return path to the current URL.

  Throws:
    `java.lang.Exception`

### returnRemove

    protected org.apache.struts.action.ActionForward returnRemove(javax.servlet.http.HttpServletRequest request,
                                                                  org.apache.struts.action.ActionMapping mapping)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnRemove

    protected org.apache.struts.action.ActionForward returnRemove(javax.servlet.http.HttpServletRequest request,
                                                                  org.apache.struts.action.ActionMapping mapping,
                                                                  java.lang.String param,
                                                                  java.lang.Object value)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnReset

    protected org.apache.struts.action.ActionForward returnReset(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 java.util.Map params,
                                                                 boolean doReturnPath)
                                                          throws java.lang.Exception

  Return an `ActionForward` representing the reset form gesture.

  Throws:
    `java.lang.Exception`

### returnReset

    protected org.apache.struts.action.ActionForward returnReset(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 java.util.Map params)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnReset

    protected org.apache.struts.action.ActionForward returnReset(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnReset

    protected org.apache.struts.action.ActionForward returnReset(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 java.lang.String param,
                                                                 java.lang.Object value)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnOkAssign

    protected org.apache.struts.action.ActionForward returnOkAssign(javax.servlet.http.HttpServletRequest request,
                                                                    org.apache.struts.action.ActionMapping mapping,
                                                                    java.util.Map params)
                                                             throws java.lang.Exception

  Return an `ActionForward` representing the okassign action state.

  Throws:
    `java.lang.Exception`

### returnOkAssign

    protected org.apache.struts.action.ActionForward returnOkAssign(javax.servlet.http.HttpServletRequest request,
                                                                    org.apache.struts.action.ActionMapping mapping,
                                                                    java.util.Map params,
                                                                    boolean doReturnPath)
                                                             throws java.lang.Exception

  Return an `ActionForward` representing the okassign action state.

  Throws:
    `java.lang.Exception`

### returnSuccess

    protected org.apache.struts.action.ActionForward returnSuccess(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping,
                                                                   java.util.Map params,
                                                                   boolean doReturnPath)
                                                            throws java.lang.Exception

  Return an `ActionForward` representing the success action state.

  Throws:
    `java.lang.Exception`

### returnSuccess

    protected org.apache.struts.action.ActionForward returnSuccess(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping,
                                                                   java.util.Map params)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnSuccess

    protected org.apache.struts.action.ActionForward returnSuccess(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnSuccess

    protected org.apache.struts.action.ActionForward returnSuccess(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping,
                                                                   java.lang.String param,
                                                                   java.lang.Object value,
                                                                   boolean doReturnPath)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### returnSuccess

    protected org.apache.struts.action.ActionForward returnSuccess(javax.servlet.http.HttpServletRequest request,
                                                                   org.apache.struts.action.ActionMapping mapping,
                                                                   java.lang.String param,
                                                                   java.lang.Object value)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### constructForward

    protected org.apache.struts.action.ActionForward constructForward(javax.servlet.http.HttpServletRequest request,
                                                                      org.apache.struts.action.ActionMapping mapping,
                                                                      java.lang.String forwardName,
                                                                      java.util.Map params,
                                                                      boolean doReturnPath)
                                                               throws java.lang.Exception

  Return an `ActionForward` corresponding to the given form gesture or action state. Utilize the session return path if it is set. Optionally set a request parameter to the path.

  Throws:
    `java.lang.Exception`

### constructForward

    protected org.apache.struts.action.ActionForward constructForward(javax.servlet.http.HttpServletRequest request,
                                                                      org.apache.struts.action.ActionMapping mapping,
                                                                      java.lang.String forwardName,
                                                                      java.lang.String param,
                                                                      java.lang.Object value,
                                                                      boolean doReturnPath)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### constructForward

    protected org.apache.struts.action.ActionForward constructForward(javax.servlet.http.HttpServletRequest request,
                                                                      org.apache.struts.action.ActionMapping mapping,
                                                                      java.lang.String forwardName,
                                                                      boolean doReturnPath)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### constructForward

    protected org.apache.struts.action.ActionForward constructForward(javax.servlet.http.HttpServletRequest request,
                                                                      org.apache.struts.action.ActionMapping mapping,
                                                                      java.lang.String forwardName)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.